Send a transactional in-app message
Send a transactional in-app message. In-app messages render in your application through the Customer.io SDK to the devices associated with the person you target by identifiers.
You send a message using a transactional_message_id for an in-app message template that you've set up in the user interface. The transactional_message_id can be either the numerical ID for the template or the Trigger Name that you assigned the template.
You can find your transactional_message_id from the code sample in the Overview tab for your transactional message in the user interface, or you can look up a list of your transactional messages through the App API.
Note: Your workspace must have in-app messaging enabled. Requests sent to a workspace without the in-app capability return 403.
- Type: object
- application/json
- application/json
- application/json
curl https://api.customer.io/v1/send/in_app \
--request POST \
--header 'X-Workspace-Id: 100' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"transactional_message_id": "order_confirmation",
"identifiers": {
"id": "user_123"
},
"message_data": {
"order_id": "ORD-5678",
"tracking_url": "https://track.example.com/5678"
}
}'
{
"delivery_id": "string",
"queued_at": 1,
"send_at": 1
}Returns a unique ID for the delivery.